#pragma once

#include "CoreMinimal.h"
#include "Mutator.h"
#include "DrainingStageSkillData.h"
#include "AddSkillsOnDrainStageChangedMutator.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UAddSkillsOnDrainStageChangedMutator : public UMutator
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	FDrainingStageSkillData _skillPerStageIDs;

public:
	UAddSkillsOnDrainStageChangedMutator();
};

FORCEINLINE uint32 GetTypeHash(const UAddSkillsOnDrainStageChangedMutator) { return 0; }
